#include "RainParticle.h"

#ifdef WIN32
#include <windows.h>
#endif
#include <GL/gl.h>

#include "MemoryManager/DebugNew.h"


using namespace ParticleSystem;

RainParticle::RainParticle(void){
}

RainParticle::~RainParticle(void){
}

void RainParticle::draw()
{
	glColor4fv(couleur);
	glVertex3fv(pos); 
	glVertex3f(pos[0] + direction[0]/16,pos[1] + direction[1]/16,pos[2] + direction[2]/16);
}

bool RainParticle::isAlive(){
	return pos[1] > 0;
}

